IntelliInputDialog Class Reference

The IntelliInputDialog class is a customized Input Dialog to get Integers. More...

`#include <IntelliInputDialog.h>`

Inheritance diagram for IntelliInputDialog:

## Public Slots

void | slotCloseEvent ()
| slotCloseEvent is a slot for catching the close Event. More...
void | slotEingabe ()
| slotEingabe is a slot for catching the Input Event. More...

## Public Member Functions

| IntelliInputDialog (QString Title=nullptr, QString Label=nullptr, int value=5, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=nullptr)
| IntelliInputDialog is the baisc constructor to for the InputDialog. More...

## Static Public Member Functions

static int | getInt (QString Title=nullptr, QString Label=nullptr, int value=5, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=nullptr)
| getInt is a static funktion ´, which creates an Input Dialog and gets an Integer. More...

## Detailed Description

The IntelliInputDialog class is a customized Input Dialog to get Integers.

Definition at line 15 of file IntelliInputDialog.h.

## Constructor & Destructor Documentation

## IntelliInputDialog()

IntelliInputDialog::IntelliInputDialog | ( | QString | Title = `nullptr`,
|  | QString | Label = `nullptr`,
|  | int | value = `5`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `nullptr`
| ) |  |

IntelliInputDialog is the baisc constructor to for the InputDialog.

Parameters

  Title | - Title of the Input Dialog.
  Label | - A Label for the Iput Dialog, to show further information.
  value | - The standart value in the Input Box.
  minValue | - The minimal value to read.
  maxValue | - The maximal value to read.
  step | - The step size of Values.
  ok | - A check if the input was okay

Definition at line 3 of file IntelliInputDialog.cpp.

## Member Function Documentation

## getInt()

int IntelliInputDialog::getInt | ( | QString | Title = `nullptr`,
|  | QString | Label = `nullptr`,
|  | int | value = `5`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `nullptr`
| ) |  |

static

getInt is a static funktion ´, which creates an Input Dialog and gets an Integer.

Parameters

  Title | - Title of the Input Dialog.
  Label | - A Label for the Iput Dialog, to show further information.
  value | - The standart value in the Input Box.
  minValue | - The minimal value to read.
  maxValue | - The maximal value to read.
  step | - The step size of Values.
  ok | - A check if the input was okay

Returns

Definition at line 16 of file IntelliInputDialog.cpp.

## slotCloseEvent

void IntelliInputDialog::slotCloseEvent | ( |  | ) |

slot

slotCloseEvent is a slot for catching the close Event.

Definition at line 74 of file IntelliInputDialog.cpp.

## slotEingabe

void IntelliInputDialog::slotEingabe | ( |  | ) |

slot

slotEingabe is a slot for catching the Input Event.

Definition at line 78 of file IntelliInputDialog.cpp.

The documentation for this class was generated from the following files:

- src/GUI/IntelliInputDialog.h
- src/GUI/IntelliInputDialog.cpp